import  ImSDK_Smart;


//  朋友实体
public class V2FriendInfoEntity : V2TIMFriendInfo{

    convenience init(json: String) {
        self.init(dict: JsonUtil.getDictionaryFromJSONString(jsonString: json))
    }
    
    
    init(dict: [String: Any]) {
		super.init();
        self.userID = (dict["userID"] as? String);
        self.friendRemark = (dict["friendRemark"] as? String);
        self.friendCustomInfo = (dict["friendCustomInfo"] as? [String: Data]);
    }
    
    /// 根据对象获得字典对象
    public static func getDict(info: V2TIMFriendInfo) -> [String: Any] {
        var result: [String: Any] = [:];
        result["userID"] = info.userID;
        result["friendRemark"] = info.friendRemark;
        result["friendGroups"] = info.friendGroups;
        result["friendCustomInfo"] = info.friendCustomInfo;
        result["userProfile"] = V2UserFullInfoEntity.getDict(info: info.userFullInfo);
        return result;
    }
}
