//
//  SimpleMsgListener.swift
//  tencent_im_sdk_plugin
//
//  Created by 林智 on 2020/12/18.
//

import Foundation
import ImSDK_Smart

class SimpleMsgListener: NSObject, V2TIMSimpleMsgListener {
	/// simpleMsgListener
	public func onRecvC2CTextMessage(_ msgID: String!, sender: V2TIMUserInfo, text: String) {
		TencentImSDKPlugin.invokeListener(type: ListenerType.onRecvC2CTextMessage, method: "simpleMsgListener", data: ["msgID": msgID, "text": text, sender: V2UserInfoEntity.getDict(info: sender)])
	}
	
	public func onRecvC2CCustomMessage(_ msgID: String!, sender: V2TIMUserInfo, text: String) {
		// TencentImSDKPlugin.invokeListener(type: ListenerType.onRecvC2CCustomMessage, method: "simpleMsgListener", data: ["msgID": msgID, "text": text, sender: V2UserInfoEntity.getDict(info: sender)])
	}
	
	public func onRecvGroupTextMessage(_ msgID: String!, groupID: String, sender: V2TIMUserInfo, text: String) {
		TencentImSDKPlugin.invokeListener(type: ListenerType.onRecvGroupTextMessage, method: "simpleMsgListener", data: ["msgID": msgID, "text": text, "groupID": groupID, sender: V2UserInfoEntity.getDict(info: sender)])
	}
	
	public func onRecvGroupCustomMessage(_ msgID: String!, groupID: String, sender: V2TIMUserInfo, text: String) {
		// TencentImSDKPlugin.invokeListener(type: ListenerType.onRecvGroupCustomMessage, method: "simpleMsgListener", data: ["msgID": msgID, "text": text, "groupID", groupID, sender: V2UserInfoEntity.getDict(info: sender)])
	}
	
	
	
}
